List all bookings

Use this endpoint to get all bookings

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Search

Possible search attributes are:

  • resource.id
  • graph
  • state
  • completed (true/false)
  • customer.name (including wildcards)
  • customer.email
  • customer.
  • calendar.id
  • project.id
  • meta.*

Regarding meta you can search on key-value pairs like this: meta.[key]:[value], A complete example searching for the meta-key=foo and the value=bar: https://api.timekit.io/v2/bookings?search=meta.foo:bar

Regarding wildcards on customer.name, the wildcard is * and you can pre- and suffix the search string with the wildcard. For example if you want to search for all names beginning with Marty (for instance if you don't know that his last name is McFly) you would search by suffixing Marty with the wildcard like so: search=customer.name:marty* Also note that the customer.name search is case-insensitive.

You can also include several attributes in your search. For example, if you want all confirmed bookings for a specific resource, you can use https://api.timekit.io/v2/bookings?search=resource.id:RESOURCE_UUID;state:confirmed

The elements in the returned JSON is dependent on the graph and state of the booking.

📘

Dynamic includes

In addition to the basic booking data, you can fetch the following booking-related data:

Example:
https://api.timekit.io/v2/bookings?include=logs,attributes,customers,calendar,event

📘

Samples

You can combine the Search and Dynamic includes as well.

If, for example, you wanted to do a search for all cancelled bookings and also show the attributes for them, you can use a GET to:

https://api.timekit.io/v2/bookings?search=state:cancelled&include=attributes

Query Params
int32
Defaults to 1000

Pagination limit intervals (X means first X is returned)

int32
Defaults to 1

Which pagination interval to retrieve (set limit for interval size)

string

Add 1 or more search criteria to your query. Please see our search reference: https://developers.timekit.io/reference/search

string

Dynamic includes

string

Order bookings by one of the following attributes: created_at, updated_at, event.start, event.end, completed, graph, state

string

Used together with orderBy to determine the direction of the sorting. Can be set to either asc or desc.

date

Filter bookings by when they start, must be accompanied by end.

date

Filter bookings by when they end, must be accompanied by start.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json